Bug 1572777 - auto_refresh being used instead of dialog field responders on later versions
Summary: auto_refresh being used instead of dialog field responders on later versions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: drew uhlmann
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On:
Blocks: 1573254
TreeView+ depends on / blocked
 
Reported: 2018-04-27 20:01 UTC by drew uhlmann
Modified: 2019-02-11 14:03 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1573254 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:03:57 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description drew uhlmann 2018-04-27 20:01:06 UTC
Description of problem: 

when importing dialog the import is ignoring the dialog_field_responders values in the dialog export yaml file. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. export 4.5 dialog with auto-refresh fields
2. set dialog_field_responders in yaml
3. import dialog on 4.6 system 

Actual results: Only new responders should be used if dialog has both auto_refresh (old) and dialog_field_responders (new)


Expected results: Dialog is creating associations for both old and new, resulting in dups and also mismatched behavior if the field associations had differing behavior. 


Additional info:

Comment 2 drew uhlmann 2018-04-27 20:01:58 UTC
https://github.com/ManageIQ/manageiq/pull/17363

Comment 3 Dave Johnson 2018-04-27 20:03:38 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 5 Niyaz Akhtar Ansari 2018-11-14 06:02:23 UTC
Verified in Version: 5.10.0.23.20181106165157_92dd189


Note You need to log in before you can comment on or make changes to this bug.